# Index

Symbols | A | B | C | D | E | F | G | H | I | J | K | L | M | N | O | P | Q | R | S | T | U | V | W | X

## Symbols

- !
  - Emacs key binding
- %
  - Emacs key binding
- +
  - Emacs key binding
- -
  - Emacs key binding
- --accumulate
  - restore command line option
- --auto-daemon
  - emacs-mua command line option
- --backup
  - compact command line option
- --batch
  - count command line option
  - tag command line option
- --bcc
  - emacs-mua command line option
- --body
  - emacs-mua command line option
  - show command line option
- --cc
  - emacs-mua command line option
- --client
  - emacs-mua command line option
- --config
  - notmuch command line option
- --create-folder
  - insert command line option
- --create-frame
  - emacs-mua command line option
- --decrypt
  - insert command line option
  - new command line option
  - reindex command line option
  - reply command line option
  - show command line option
- --deduplicate
  - address command line option
- --duplicate
  - reply command line option
  - search command line option
  - show command line option
- --entire-thread
  - show command line option
- --exclude
  - address command line option
  - count command line option
  - search command line option
  - show command line option
- --folder
  - insert command line option
- --format
  - address command line option
  - dump command line option
  - reply command line option
  - restore command line option
  - search command line option
  - show command line option
- --format-version
  - address command line option
  - reply command line option
  - search command line option
  - show command line option
- --full-scan
  - new command line option
- --git-dir
  - notmuch-git command line option
- --gzip
  - dump command line option
- --hello
  - emacs-mua command line option
- --help
  - emacs-mua command line option
  - notmuch command line option
  - notmuch-git command line option
- --include
  - dump command line option
  - restore command line option
- --include-html
  - show command line option
- --input
  - count command line option
  - restore command line option
  - tag command line option
- --keep
  - insert command line option
- --lastmod
  - count command line option

- --limit
  - search command line option
  - show command line option
- --log-level
  - notmuch-git command line option
- --nmbug
  - notmuch-git command line option
- --no-hooks
  - insert command line option
  - new command line option
- --no-window-system
  - emacs-mua command line option
- --offset
  - search command line option
  - show command line option
- --output
  - address command line option
  - count command line option
  - dump command line option
  - search command line option
- --part
  - show command line option
- --print
  - emacs-mua command line option
- --quiet
  - compact command line option
  - new command line option
- --remove-all
  - tag command line option
- --reply-to
  - reply command line option
- --sort
  - address command line option
  - search command line option
  - show command line option
- --subject
  - emacs-mua command line option
- --tag-prefix
  - notmuch-git command line option
- --to
  - emacs-mua command line option
- --uuid
  - notmuch command line option
- --verbose
  - new command line option
- --verify
  - show command line option
- --version
  - notmuch command line option
  - notmuch-git command line option
- --world-readable
  - insert command line option
- -b
  - emacs-mua command line option
- -C
  - notmuch-git command line option
- -c
  - emacs-mua command line option
- -h
  - emacs-mua command line option
  - notmuch-git command line option
- -i
  - emacs-mua command line option
- -l
  - notmuch-git command line option
- -N
  - notmuch-git command line option
- -p
  - notmuch-git command line option
- -s
  - emacs-mua command line option
- -v
  - notmuch-git command line option
- <backtab>
  - Emacs key binding
- <down>
  - Emacs key binding
- <M-tab>
  - Emacs key binding
- <return>
  - Emacs key binding, [1], [2]
- <space>
  - Emacs key binding
- <tab>
  - Emacs key binding, [1]
- <up>
  - Emacs key binding
- =
  - Emacs key binding, [1], [2]
- ?
  - Emacs key binding, [1], [2]

## A

- abort() (notmuch2.AtomicContext method)
- add() (notmuch2.Database method)
  - (notmuch2.MutableTagSet method)
- address command line option
  - --deduplicate
  - --exclude
  - --format
  - --format-version
  - --output
  - --sort
- alive (notmuch2.Database property)
  - (notmuch2.ImmutableTagSet property)
  - (notmuch2.IndexOptions property)
  - (notmuch2.Message property)
  - (notmuch2.NotmuchObject property)
  - (notmuch2.TagsIter property)
  - (notmuch2.Thread property)

- archive
  - notmuch-git command line option
- atomic() (notmuch2.Database method)
- AtomicContext (class in notmuch2)
- authors (notmuch2.Thread property)

## B

- b
  - Emacs key binding

- BinString (class in notmuch2)
- built_with.<name>
  - configuration item

## C

- c
  - Emacs key binding, [1]
- c ?
  - Emacs key binding
- c c
  - Emacs key binding
- c d
  - Emacs key binding
- c F
  - Emacs key binding
- c f
  - Emacs key binding
- c G
  - Emacs key binding
- c I
  - Emacs key binding
- c i
  - Emacs key binding
- c L
  - Emacs key binding
- c l
  - Emacs key binding
- c s
  - Emacs key binding
- c T
  - Emacs key binding
- c t
  - Emacs key binding
- C-/
  - Emacs key binding, [1]
- C-_
  - Emacs key binding, [1]
- C-n
  - Emacs key binding
- C-p
  - Emacs key binding
- C-x C-p
  - Emacs key binding
- C-x C-s
  - Emacs key binding
- C-x u
  - Emacs key binding, [1]
- checkout
  - notmuch-git command line option
- clear() (notmuch2.MutableTagSet method)
- clone
  - notmuch-git command line option

- close() (notmuch2.Database method)
- commit
  - notmuch-git command line option
- compact command line option
  - --backup
  - --quiet
- CONFIG (notmuch2.Database attribute)
- config (notmuch2.Database property)
- config command line option
  - get
  - list
  - set
- configuration item
  - built_with.<name>
  - database.autocommit
  - database.backup_dir
  - database.hook_dir
  - database.mail_root
  - database.path
  - git.path
  - git.safe_fraction
  - git.tag_prefix
  - index.as_text
  - index.decrypt
  - index.header.<prefix>
  - maildir.synchronize_flags
  - new.ignore
  - new.tags
  - query.<name>
  - search.authors_matched_separator
  - search.authors_separator
  - search.exclude_tags
  - show.extra_headers
  - squery.<name>
  - user.name
  - user.other_email
  - user.primary_email
- count command line option
  - --batch
  - --exclude
  - --input
  - --lastmod
  - --output
- count_messages() (notmuch2.Database method)
- create() (notmuch2.Database class method)

## D

- Database (class in notmuch2)
- Database.AddedMessage (class in notmuch2)
- database.autocommit
  - configuration item
- database.backup_dir
  - configuration item
- database.hook_dir
  - configuration item
- database.mail_root
  - configuration item
- database.path
  - configuration item
- DatabaseExistsError

- date (notmuch2.Message property)
- DbRevision (class in notmuch2)
- decrypt_policy (notmuch2.IndexOptions property)
- default_indexopts() (notmuch2.Database method)
- default_path() (notmuch2.Database static method)
- discard() (notmuch2.MutableTagSet method)
- dump command line option
  - --format
  - --gzip
  - --include
  - --output
- dup (notmuch2.Database.AddedMessage attribute)
- DuplicateMessageIdError

## E

- e
  - Emacs key binding
- Emacs command
  - notmuch-cycle-notmuch-buffers
  - notmuch-draft-postpone
  - notmuch-draft-save
  - notmuch-poll
  - notmuch-show-choose-duplicate
  - notmuch-show-forward-message
  - notmuch-show-reply
  - notmuch-show-reply-to-sender
  - notmuch-show-resend-message
  - notmuch-show-save-attachments
  - notmuch-show-stash-cc
  - notmuch-show-stash-date
  - notmuch-show-stash-filename
  - notmuch-show-stash-from
  - notmuch-show-stash-git-send-email
  - notmuch-show-stash-message-id
  - notmuch-show-stash-message-id-stripped
  - notmuch-show-stash-mlarchive-link
  - notmuch-show-stash-mlarchive-link-and-go
  - notmuch-show-stash-subject
  - notmuch-show-stash-tags
  - notmuch-show-stash-to
  - notmuch-subkeymap-help
  - notmuch-tag-undo
  - notmuch-tree-filter
  - notmuch-tree-filter-by-tag
  - notmuch-tree-toggle-order
- Emacs key binding
  - !
  - %
  - +
  - -
  - <backtab>
  - <down>
  - <M-tab>
  - <return>, [1], [2]
  - <space>
  - <tab>, [1]
  - <up>
  - =, [1], [2]
  - ?, [1], [2]
  - b
  - c, [1]
  - c ?
  - c c
  - c d
  - c F
  - c f
  - c G
  - c I
  - c i
  - c L
  - c l
  - c s
  - c T
  - c t
  - C-/, [1]
  - C-_, [1]
  - C-n
  - C-p
  - C-x C-p
  - C-x C-s
  - C-x u, [1]
  - e
  - f
  - g, [1], [2]
  - G
  - i, [1]
  - j
  - k
  - l
  - m
  - n, [1]
  - N
  - o
  - p, [1]
  - P
  - q
  - r
  - R
  - s
  - t
  - v
  - w

- Emacs variable (customizable)
  - mail-user-agent
  - message-dont-reply-to-names
  - notmuch-column-control
  - notmuch-fcc-dirs
  - notmuch-hello-hide-tags
  - notmuch-hello-recent-searches-max
  - notmuch-hello-sections
  - notmuch-hello-tag-list-make-query
  - notmuch-hello-thousands-separator
  - notmuch-maildir-use-notmuch-insert
  - notmuch-message-headers
  - notmuch-message-headers-visible
  - notmuch-multipart/alternative-discouraged
  - notmuch-poll-script
  - notmuch-saved-search-buffer-name-format
  - notmuch-saved-search-sort-function
  - notmuch-saved-searches
  - notmuch-search-buffer-name-format
  - notmuch-search-oldest-first
  - notmuch-search-result-format
  - notmuch-show-depth-limit
  - notmuch-show-empty-saved-searches
  - notmuch-show-header-line
  - notmuch-show-height-limit
  - notmuch-show-logo
  - notmuch-show-max-text-part-size
  - notmuch-tagging-keys
  - notmuch-tree-outline-auto-close
  - notmuch-tree-outline-enabled
  - notmuch-tree-outline-open-on-next
  - notmuch-tree-outline-visibility
  - notmuch-tree-result-format
  - notmuch-unthreaded-result-format
- emacs-mua command line option
  - --auto-daemon
  - --bcc
  - --body
  - --cc
  - --client
  - --create-frame
  - --hello
  - --help
  - --no-window-system
  - --print
  - --subject
  - --to
  - -b
  - -c
  - -h
  - -i
  - -s
- environment variable
  - EMACS
  - EMACSCLIENT
  - MAILDIR
  - NOTMUCH_CONFIG, [1], [2], [3], [4], [5]
  - NOTMUCH_DATABASE, [1]
  - NOTMUCH_DEBUG_QUERY
  - NOTMUCH_GIT_DIR, [1]
  - NOTMUCH_GIT_PREFIX, [1]
  - NOTMUCH_PROFILE, [1], [2], [3], [4], [5]
  - NOTMUCH_TALLOC_REPORT
  - PATH
- exc_type() (notmuch2.NotmuchError class method)
- EXCLUDE (notmuch2.Database attribute)
- excluded (notmuch2.Message property)

## F

- f
  - Emacs key binding
- fetch
  - notmuch-git command line option
- FileError
- filenames() (notmuch2.Message method)
- filenamesb() (notmuch2.Message method)

- FileNotEmailError
- find() (notmuch2.Database method)
- first (notmuch2.Thread property)
- force_end() (notmuch2.AtomicContext method)
- from_cffi() (notmuch2.BinString class method)
- from_maildir_flags() (notmuch2.MutableTagSet method)
- frozen() (notmuch2.Message method)

## G

- G
  - Emacs key binding
- g
  - Emacs key binding, [1], [2]
- get
  - config command line option
- get() (notmuch2.Database method)

- ghost (notmuch2.Message property)
- git.path
  - configuration item
- git.safe_fraction
  - configuration item
- git.tag_prefix
  - configuration item

## H

- header() (notmuch2.Message method)

- help
  - notmuch-git command line option

## I

- i
  - Emacs key binding, [1]
- IllegalArgumentError
- ImmutableTagSet (class in notmuch2)
- index.as_text
  - configuration item
- index.decrypt
  - configuration item
- index.header.<prefix>
  - configuration item

- IndexOptions (class in notmuch2)
- init
  - notmuch-git command line option
- insert command line option
  - --create-folder
  - --decrypt
  - --folder
  - --keep
  - --no-hooks
  - --world-readable
- iter() (notmuch2.ImmutableTagSet method)

## J

- j
  - Emacs key binding

## K

- k
  - Emacs key binding

## L

- l
  - Emacs key binding
- last (notmuch2.Thread property)

- list
  - config command line option
- log
  - notmuch-git command line option

## M

- m
  - Emacs key binding
- mail-user-agent
  - Emacs variable (customizable)
- MAILDIR
- maildir.synchronize_flags
  - configuration item
- matched (notmuch2.Message property)
  - (notmuch2.Thread property)
- merge
  - notmuch-git command line option

- Message (class in notmuch2)
- message-dont-reply-to-names
  - Emacs variable (customizable)
- messageid (notmuch2.Message property)
- messages() (notmuch2.Database method)
- MODE (notmuch2.Database attribute)
- module
  - notmuch2
- msg (notmuch2.Database.AddedMessage attribute)
- MutableTagSet (class in notmuch2)

## N

- N
  - Emacs key binding
- n
  - Emacs key binding, [1]
- needs_upgrade (notmuch2.Database property)
- new command line option
  - --decrypt
  - --full-scan
  - --no-hooks
  - --quiet
  - --verbose
- new.ignore
  - configuration item
- new.tags
  - configuration item
- NoConfigError
- NoDatabaseError
- notmuch
- notmuch command line option
  - --config
  - --help
  - --uuid
  - --version
- notmuch-column-control
  - Emacs variable (customizable)
- notmuch-cycle-notmuch-buffers
  - Emacs command
- notmuch-draft-postpone
  - Emacs command
- notmuch-draft-save
  - Emacs command
- notmuch-fcc-dirs
  - Emacs variable (customizable)
- notmuch-git command line option
  - --git-dir
  - --help
  - --log-level
  - --nmbug
  - --tag-prefix
  - --version
  - -C
  - -h
  - -l
  - -N
  - -p
  - -v
  - archive
  - checkout
  - clone
  - commit
  - fetch
  - help
  - init
  - log
  - merge
  - pull
  - push
  - status
- notmuch-hello
- notmuch-hello-hide-tags
  - Emacs variable (customizable)
- notmuch-hello-recent-searches-max
  - Emacs variable (customizable)
- notmuch-hello-sections
  - Emacs variable (customizable)
- notmuch-hello-tag-list-make-query
  - Emacs variable (customizable)
- notmuch-hello-thousands-separator
  - Emacs variable (customizable)
- notmuch-maildir-use-notmuch-insert
  - Emacs variable (customizable)
- notmuch-message-headers
  - Emacs variable (customizable)
- notmuch-message-headers-visible
  - Emacs variable (customizable)
- notmuch-multipart/alternative-discouraged
  - Emacs variable (customizable)
- notmuch-poll
  - Emacs command
- notmuch-poll-script
  - Emacs variable (customizable)
- notmuch-saved-search-buffer-name-format
  - Emacs variable (customizable)
- notmuch-saved-search-sort-function
  - Emacs variable (customizable)
- notmuch-saved-searches
  - Emacs variable (customizable)

- notmuch-search-buffer-name-format
  - Emacs variable (customizable)
- notmuch-search-oldest-first
  - Emacs variable (customizable)
- notmuch-search-result-format
  - Emacs variable (customizable)
- notmuch-show-choose-duplicate
  - Emacs command
- notmuch-show-depth-limit
  - Emacs variable (customizable)
- notmuch-show-empty-saved-searches
  - Emacs variable (customizable)
- notmuch-show-forward-message
  - Emacs command
- notmuch-show-header-line
  - Emacs variable (customizable)
- notmuch-show-height-limit
  - Emacs variable (customizable)
- notmuch-show-logo
  - Emacs variable (customizable)
- notmuch-show-max-text-part-size
  - Emacs variable (customizable)
- notmuch-show-reply
  - Emacs command
- notmuch-show-reply-to-sender
  - Emacs command
- notmuch-show-resend-message
  - Emacs command
- notmuch-show-save-attachments
  - Emacs command
- notmuch-show-stash-cc
  - Emacs command
- notmuch-show-stash-date
  - Emacs command
- notmuch-show-stash-filename
  - Emacs command
- notmuch-show-stash-from
  - Emacs command
- notmuch-show-stash-git-send-email
  - Emacs command
- notmuch-show-stash-message-id
  - Emacs command
- notmuch-show-stash-message-id-stripped
  - Emacs command
- notmuch-show-stash-mlarchive-link
  - Emacs command
- notmuch-show-stash-mlarchive-link-and-go
  - Emacs command
- notmuch-show-stash-subject
  - Emacs command
- notmuch-show-stash-tags
  - Emacs command
- notmuch-show-stash-to
  - Emacs command
- notmuch-subkeymap-help
  - Emacs command
- notmuch-tag-undo
  - Emacs command
- notmuch-tagging-keys
  - Emacs variable (customizable)
- notmuch-tree-filter
  - Emacs command
- notmuch-tree-filter-by-tag
  - Emacs command
- notmuch-tree-outline-auto-close
  - Emacs variable (customizable)
- notmuch-tree-outline-enabled
  - Emacs variable (customizable)
- notmuch-tree-outline-open-on-next
  - Emacs variable (customizable)
- notmuch-tree-outline-visibility
  - Emacs variable (customizable)
- notmuch-tree-result-format
  - Emacs variable (customizable)
- notmuch-tree-toggle-order
  - Emacs command
- notmuch-unthreaded-result-format
  - Emacs variable (customizable)
- notmuch2
  - module
- NOTMUCH_CONFIG, [1], [2], [3], [4]
- NOTMUCH_DATABASE
- NOTMUCH_GIT_DIR
- NOTMUCH_GIT_PREFIX
- NOTMUCH_PROFILE, [1], [2], [3], [4]
- NotmuchError
- NotmuchObject (class in notmuch2)
- NullPointerError

## O

- o
  - Emacs key binding

- ObjectDestroyedError
- OperationInvalidatedError
- OutOfMemoryError

## P

- P
  - Emacs key binding
- p
  - Emacs key binding, [1]
- PATH
- path (notmuch2.Database property)
  - (notmuch2.Message property)

- pathb (notmuch2.Message property)
- PathError
- properties (notmuch2.Message property)
- pull
  - notmuch-git command line option
- push
  - notmuch-git command line option

## Q

- q
  - Emacs key binding

- query.<name>
  - configuration item
- QuerySyntaxError

## R

- R
  - Emacs key binding
- r
  - Emacs key binding
- ReadOnlyDatabaseError
- reindex command line option
  - --decrypt
- remove() (notmuch2.Database method)
- reopen() (notmuch2.Database method)
- replies() (notmuch2.Message method)
- reply command line option
  - --decrypt
  - --duplicate
  - --format
  - --format-version
  - --reply-to

- restore command line option
  - --accumulate
  - --format
  - --include
  - --input
- rev (notmuch2.DbRevision property)
- revision() (notmuch2.Database method)
- RFC
  - RFC 5322

## S

- s
  - Emacs key binding
- search command line option
  - --duplicate
  - --exclude
  - --format
  - --format-version
  - --limit
  - --offset
  - --output
  - --sort
- search.authors_matched_separator
  - configuration item
- search.authors_separator
  - configuration item
- search.exclude_tags
  - configuration item
- set
  - config command line option
- show command line option
  - --body
  - --decrypt
  - --duplicate
  - --entire-thread
  - --exclude
  - --format
  - --format-version
  - --include-html
  - --limit
  - --offset
  - --part
  - --sort
  - --verify

- show.extra_headers
  - configuration item
- SORT (notmuch2.Database attribute)
- squery.<name>
  - configuration item
- status
  - notmuch-git command line option
- subject (notmuch2.Thread property)

## T

- t
  - Emacs key binding
- tag command line option
  - --batch
  - --input
  - --remove-all
- tags (notmuch2.Database property)
  - (notmuch2.Message property)
  - (notmuch2.Thread property)

- TagsIter (class in notmuch2)
- TagTooLongError
- Thread (class in notmuch2)
- threadid (notmuch2.Message property)
  - (notmuch2.Thread property)
- to_maildir_flags() (notmuch2.MutableTagSet method)
- toplevel() (notmuch2.Thread method)

## U

- UnbalancedAtomicError
- UnbalancedFreezeThawError
- UnsupportedOperationError
- upgrade() (notmuch2.Database method)
- UpgradeRequiredError
- user.name
  - configuration item

- user.other_email
  - configuration item
- user.primary_email
  - configuration item
- uuid (notmuch2.DbRevision property)

## V

- v
  - Emacs key binding

- version (notmuch2.Database property)

## W

- w
  - Emacs key binding

## X

- XapianError